Bug 1471773 - Opening Fontforge causes its killing by segmentation fault
Opening Fontforge causes its killing by segmentation fault
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: fontforge (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 08:23 EDT by Zdenek Dohnal
Modified: 2017-07-31 14:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-31 14:25:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fontforge strace (3.14 MB, text/plain)
2017-07-18 06:24 EDT, Zdenek Dohnal
no flags Details
fontforge Backtrace (4.15 KB, text/plain)
2017-07-18 06:44 EDT, Zdenek Dohnal
no flags Details

  None (edit)
Description Zdenek Dohnal 2017-07-17 08:23:59 EDT
Description of problem:
When I open Fontforge from terminal, it ends with segfault.

Version-Release number of selected component (if applicable):
fontforge-20160404-5.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. $ fontforge
2. segfault

Actual results:
Segfault

Expected results:
Application is running.

Additional info:
There are messages in terminal during starting up FontForge:

Copyright (c) 2000-2014 by George Williams. See AUTHORS for Contributors.
 License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
 with many parts BSD <http://fontforge.org/license.html>. Please read LICENSE.
 Based on sources from 05:58 UTC  8-Mar-2017-ML-D.
 Based on source from git with hash: 
no xdefs_filename!
TESTING: getPixmapDir:/usr/share/fontforge/pixmaps
TESTING: getShareDir:/usr/share/fontforge
TESTING: GResourceProgramDir:/usr/bin
trying default theme:/usr/share/fontforge/pixmaps/resources
fontforge.hasUserInterface!
PyFF_onAppClosing() cnt:1
Segmentation fault (core dumped)

And from journalctl -r:

Jul 17 14:14:52 unused-4-162-brq-redhat-com abrt-hook-ccpp[11022]: Process 11021 (fontforge) of user 28720 killed by SIGSEGV - dumping core
Jul 17 14:14:52 unused-4-162-brq-redhat-com kernel: fontforge[11021]: segfault at 0 ip 00007fc21dba9790 sp 00007ffc2dbd9f40 error 4 in libc-2.24.so[7fc21db11000+1bc000]
Comment 1 Parag Nemade 2017-07-17 12:48:48 EDT
I have not pushed recent release to Fedora 25. Can you verify if this scratch build works for you?
https://koji.fedoraproject.org/koji/taskinfo?taskID=20580713
Comment 2 Zdenek Dohnal 2017-07-18 06:23:10 EDT
I am sorry, but this build didn't solve the issue for me.
Comment 3 Zdenek Dohnal 2017-07-18 06:24 EDT
Created attachment 1300388 [details]
fontforge strace

Here is strace of fontforge when segfault happened.
Comment 4 Zdenek Dohnal 2017-07-18 06:26:32 EDT
When I run fontforge as root, segfault doesn't happen.
Comment 5 Zdenek Dohnal 2017-07-18 06:44 EDT
Created attachment 1300402 [details]
fontforge Backtrace
Comment 6 Parag Nemade 2017-07-19 07:50:45 EDT
(In reply to Zdenek Dohnal from comment #2)
> I am sorry, but this build didn't solve the issue for me.

Do you have any external font installed? I mean font that is not installed by any official Fedora package. I looked into the strace but I could not get anything from it to understand this segfault.

On my F25 VM, I can use fontforge without any issue.
Comment 7 Zdenek Dohnal 2017-07-19 07:58:23 EDT
I don't think so, here is list of directories in /usr/share/fonts:

abattis-cantarell
gnu-free
google-noto-emoji
lohit-assamese
lohit-kannada
opensymbol
sil-nuosu
thai-scalable
adobe-source-han-sans-cn
google-android-emoji
jomolhari
lohit-bengali
lohit-odia
paktype-naskh-basic
sil-padauk
vlgothic
default
google-crosextra-caladea
khmeros
lohit-devanagari
lohit-tamil
paratype-pt-sans
smc
dejavu
google-crosextra-carlito
liberation
lohit-gujarati
lohit-telugu
sil-abyssinica
stix
gdouros-symbola
google-noto
lklug
lohit-gurmukhi
naver-nanum
sil-mingzat
tabish-eeyek
Comment 8 Zdenek Dohnal 2017-07-19 07:59:28 EDT
I forgot to mention it works in Fedora 26.
Comment 9 Zdenek Dohnal 2017-07-31 14:25:46 EDT
I try it on clean Fedora 25 VM, and it works fine - sorry for bothering you, I have probably issue in my main machine. Closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.